#ifndef WORLD_H
#define WORLD_H

#include "../engine/Shader.h"
#include "../engine/DirectRenderer.h"
#include "Chunk.h"

class World
{
public:
    World();
    virtual ~World();
    
    void renderTick(Shader& shader, DirectRenderer& dr, float lag);
private:
    const int chunkX = 16;
    const int chunkZ = 16;
    
    Chunk*** chunks;
};

#endif

